LibreOffice: Frame Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

List of all members
Frame Service Referencepublished

represents the environment for a desktop component More...

`import"Frame.idl";`

Inheritance diagram for Frame:

## Additional Inherited Members
Exported Interfaces inherited from XFrame2
interface | XDispatchProvider
| provides access to dispatchers for the frame. More...
interface | XDispatchInformationProvider
| provides information about supported commands More...
interface | XDispatchProviderInterception
| supports interception mechanism for dispatched URLs More...
interface | XFramesSupplier
| Provides access to sub frames within this frame, and via its XFrame sub-interface: Allows the component to be loaded and accessed within the frame; it is the main connection to the environment of the component. More...
interface | com::sun::star::task::XStatusIndicatorFactory
| supplies access to com::sun::star::task::XStatusIndicator objects for the component within the frame to show progresses More...
Public Member Functions inherited from XDispatchProvider
XDispatch | queryDispatch ([in] com::sun::star::util::URL URL, [in] string TargetFrameName, [in] long SearchFlags)
| searches for an XDispatch for the specified URL within the specified target frame. More...
sequence< XDispatch > | queryDispatches ([in] sequence< DispatchDescriptor > Requests)
| actually this method is redundant to XDispatchProvider::queryDispatch() to avoid multiple remote calls. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XDispatchInformationProvider
sequence< short > | getSupportedCommandGroups ()
| returns all supported command groups. More...
sequence< DispatchInformation > | getConfigurableDispatchInformation ([in] short CommandGroup)
| returns additional information about supported commands of a given command group. More...
Public Member Functions inherited from XDispatchProviderInterception
void | registerDispatchProviderInterceptor ([in] XDispatchProviderInterceptor Interceptor)
| registers an XDispatchProviderInterceptor, which will become the first interceptor in the chain of registered interceptors. More...
void | releaseDispatchProviderInterceptor ([in] XDispatchProviderInterceptor Interceptor)
| removes an XDispatchProviderInterceptor which was previously registered More...
Public Member Functions inherited from XFramesSupplier
XFrames | getFrames ()
| provides access to this container and to all other XFramesSupplier which are available from this node of frame tree More...
XFrame | getActiveFrame ()
| gets the current active frame of this container (not of any other available supplier) More...
void | setActiveFrame ([in] XFrame Frame)
| is called on activation of a direct sub-frame. More...
Public Member Functions inherited from XFrame
void | initialize ([in] com::sun::star::awt::XWindow xWindow)
| is called to initialize the frame within a window - the container window. More...
com::sun::star::awt::XWindow | getContainerWindow ()
| provides access to the container window of the frame. More...
void | setCreator ([in] XFramesSupplier Creator)
| sets the frame container that created this frame. More...
XFramesSupplier | getCreator ()
| provides access to the creator (parent) of this frame More...
string | getName ()
| access to the name property of this frame More...
void | setName ([in] string aName)
| sets the name of the frame. More...
XFrame | findFrame ([in] string aTargetFrameName, [in] long nSearchFlags)
| searches for a frame with the specified name. More...
boolean | isTop ()
| determines if the frame is a top frame. More...
void | activate ()
| activates this frame and thus the component within. More...
void | deactivate ()
| is called by the creator frame when another sub-frame gets activated. More...
boolean | isActive ()
| determines if the frame is active. More...
boolean | setComponent ([in] com::sun::star::awt::XWindow xComponentWindow, [in] XController xController)
| sets a new component into the frame or release an existing one from a frame. More...
com::sun::star::awt::XWindow | getComponentWindow ()
| provides access to the component window More...
XController | getController ()
| provides access to the controller More...
void | contextChanged ()
| notifies the frame that the context of the controller within this frame changed (i.e. More...
void | addFrameActionListener ([in]XFrameActionListener xListener)
| registers an event listener, which will be called when certain things happen to the components within this frame or within sub-frames of this frame. More...
void | removeFrameActionListener ([in] XFrameActionListener xListener)
| unregisters an event listener More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XStatusIndicatorFactory
com::sun::star::task::XStatusIndicator | createStatusIndicator ()
| create a new status indicator instance More...
Public Attributes inherited from XFrame2
com::sun::star::container::XNameContainer | UserDefinedAttributes
| contains user defined attributes. More...
string | Title
| if possible it sets/gets the UI title on/from the frame container window More...
XDispatchRecorderSupplier | DispatchRecorderSupplier
| provides access to the dispatch recorder of the frame More...
com::sun::star::uno::XInterface | LayoutManager
| Provides access to the LayoutManager of the frame. More...

## Detailed Description

represents the environment for a desktop component

Frames are the anchors for the office components and they are the component's link to the outside world. They create a skeleton for the whole office API infrastructure by building frame hierarchies. These hierarchies contains all currently loaded documents and make it possible to walk during these trees. A special service Desktop can(!) combine different of such trees to a global one which life time will be controlled by it.

See also
  Desktop

Developers Guide
  Office Development - Creating Frames Manually - Frame Creation
  Office Development - Frames - Linking Components and Windows

The documentation for this service was generated from the following file:

- com/sun/star/frame/Frame.idl